package com.bonus.core.order.mq.po;


import com.bonus.core.order.common.model.*;

import java.util.List;

public class OrderRefundPO {
   private String traceId;
   private Long tenantId;
   private String outTradeNo;
   private OrderInfo orderInfo;
   private List<OrderDetail> orderDetailList;
   private OrderRefund orderRefund;
   private List<OrderRefundDetail> orderRefundDetailList;
   private List<OrderAmountDetail> refundAmountDetailList;

   public String getTraceId() {
      return this.traceId;
   }

   public Long getTenantId() {
      return this.tenantId;
   }

   public String getOutTradeNo() {
      return this.outTradeNo;
   }

   public OrderInfo getOrderInfo() {
      return this.orderInfo;
   }

   public List<OrderDetail> getOrderDetailList() {
      return this.orderDetailList;
   }

   public OrderRefund getOrderRefund() {
      return this.orderRefund;
   }

   public List<OrderRefundDetail> getOrderRefundDetailList() {
      return this.orderRefundDetailList;
   }

   public List<OrderAmountDetail> getRefundAmountDetailList() {
      return this.refundAmountDetailList;
   }

   public void setTraceId(final String traceId) {
      this.traceId = traceId;
   }

   public void setTenantId(final Long tenantId) {
      this.tenantId = tenantId;
   }

   public void setOutTradeNo(final String outTradeNo) {
      this.outTradeNo = outTradeNo;
   }

   public void setOrderInfo(final OrderInfo orderInfo) {
      this.orderInfo = orderInfo;
   }

   public void setOrderDetailList(final List<OrderDetail> orderDetailList) {
      this.orderDetailList = orderDetailList;
   }

   public void setOrderRefund(final OrderRefund orderRefund) {
      this.orderRefund = orderRefund;
   }

   public void setOrderRefundDetailList(final List<OrderRefundDetail> orderRefundDetailList) {
      this.orderRefundDetailList = orderRefundDetailList;
   }

   public void setRefundAmountDetailList(final List<OrderAmountDetail> refundAmountDetailList) {
      this.refundAmountDetailList = refundAmountDetailList;
   }

}
